package com.brilliance.isc.vo.lg;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.trnmod.vo.SwiaddVo;
import com.brilliance.isc.vo.model.Nidgrp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class NetcanStoreVo extends BaseTransactionVo {
    //New Reference
    private String newref = NULLSTR;
    private String strinf = NULLSTR;
    private String autflg = NULLSTR;
    private String nitapll2blk = NULLSTR;
    private String nitapll1blk = NULLSTR;
    private String nitbenl1blk = NULLSTR;
    private String nitbenl2blk = NULLSTR;
    private Nidgrp nidgrp;
    //与前端模型保持一致
    private SwiaddVo swiadd;

    @Override
    public void reset() {
        super.reset();
        if (nidgrp == null) {
            nidgrp = new Nidgrp();
        }
        nidgrp.reset();
        if (swiadd == null) {
            swiadd = new SwiaddVo();
        }
        swiadd.reset();
    }
}


